此内容没有您所选择的语言版本。
7.2. List Domains
Description
Get a list of all domains accessible to the user, regardless of ownership.
Method and URL Structure
| Method | URL Structure |
|---|---|
GET | /broker/rest/domains |
Request Parameters
Not applicable
cURL Command Example
$ curl -X GET https://openshift.redhat.com/broker/rest/domains --user user@example.com:password
JSON Response
The API returns a list of all domains that you have access to. The related resource links returned by the API have been left out for brevity.
{
"api_version": 1.6,
"data": [
{
"allowed_gear_sizes": [
"small",
"medium",
"c9"
],
"creation_time": "2013-08-20T07:21:50Z",
"links": {
},
"members": [
{
"explicit_role": null,
"from": [
{
"type": "owner",
"role": "admin"
}
],
"id": "520bd6bbdbd93c3dee00000d",
"name": "user@example.com",
"owner": true,
"role": "admin",
"type": "user"
}
],
"name": "mydomain",
"suffix": "rhcloud.com"
}
],
"messages": [],
"status": "ok",
"supported_api_versions": [
1.0,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6
],
"type": "domains",
"version": "1.6"
}